%define upstream_name    Test-Version
%define upstream_version 1.002000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check for VERSION information in modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.860.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module's goal is to be a one stop shop for checking to see that your
versions across your dist are sane. Please ensure that you use version
'0.04' or later only, as earlier versions are old code and may not work
correctly. Current feature list:

* module has a version

  Tests to insure that all modules checked have a VERSION defined, Can
  replace the Test::HasVersion manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 25 2012 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 201062
- update to 1.002000

* Fri Jul 08 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 120501
- update to 1.0.0

* Tue Jun 21 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 111458
- update to 0.11

* Fri Jun 17 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 108826
- imported package perl-Test-Version


* Fri Jun 17 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
